Get ticket details
curl --request GET \
--url https://{your-subdomain}.neetodesk.com/api/external/v2/tickets/{ticket_id} \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetodesk.com/api/external/v2/tickets/{ticket_id}"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetodesk.com/api/external/v2/tickets/{ticket_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticket": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00003333",
"number": 33,
"subject": "How to resolve the pending payments",
"description": "I need your help in resolving the pending payments.",
"priority": "low",
"status": "open",
"created_at": "2025-12-01T10:15:00Z",
"updated_at": "2025-12-05T14:30:00Z",
"category": "Problem",
"sub_category_one": "Billing",
"sub_category_two": "Refund",
"group": "Sales",
"tags": [
"refund",
"urgent"
],
"assignee": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
"name": "Oliver Smith",
"email": "oliver@example.com"
},
"customer": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00002222",
"name": "John Luther",
"email": "john@example.com",
"phone_numbers": [
"+1234567890"
]
},
"fields": [
{
"field_name": "Country",
"field_value": "USA"
}
]
}
}Tickets
Get ticket
Retrieves details of a specific ticket.
GET
/
tickets
/
{ticket_id}
Get ticket details
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
ID of the ticket. You can use either the ticket ID (UUID) or ticket number (sequential number) interchangeably. Refer to Getting Ticket ID section for detailed instructions.
Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00003333"
Example:
33
Example:
"How to resolve the pending payments"
HTML content of the ticket description.
Example:
"I need your help in resolving the pending payments."
Example:
"low"
Example:
"open"
Timestamp when the ticket was created.
Example:
"2025-12-01T10:15:00Z"
Timestamp when the ticket was last updated.
Example:
"2025-12-05T14:30:00Z"
Example:
"Problem"
Example:
"Billing"
Example:
"Refund"
Name of the assigned group.
Example:
"Sales"
Example:
["refund", "urgent"]⌘I